# Jsp 隐式对象

> 原文： [https://beginnersbook.com/2013/11/jsp-implicit-objects/](https://beginnersbook.com/2013/11/jsp-implicit-objects/)

这些对象由 JSP Engine 在转换阶段（将 JSP 转换为 Servlet 时）创建。它们是在服务方法中创建的，因此我们可以直接在 **Scriptlet** 中使用它们，而无需初始化和声明它们。 JSP 中总共有 9 个隐式对象。

**隐式对象及其对应的类：**

| 出 | javax.servlet.jsp.JspWriter |
| 请求 | javax.servlet.http.HttpServletRequest |
| 响应 | javax.servlet.http.HttpServletResponse |
| 会议 | 的 javax.servlet.http.HttpSession |
| 应用 | javax.servlet.ServletContext |
| 例外 | javax.servlet.jsp.JspException |
| 页 | java.lang.Object 继承 |
| 的 pageContext | javax.servlet.jsp.PageContext |
| 配置 | javax.servlet.ServletConfig |

1.  **Out** ：用于将内容写入客户端（浏览器）。它有几种方法可用于正确格式化输出消息到浏览器和处理缓冲区。
    在这里阅读全文» [OUT 隐含对象的例子](https://beginnersbook.com/2013/11/jsp-implicit-object-out-with-examples/ "OUT")。
2.  **Request** ：请求隐式对象的主要目的是获取用户在之前的 JSP 页面上输入的 JSP 页面上的数据。在 JSP 中处理登录和注册表单时，我们经常提示用户填写这些详细信息，然后使用此对象在另一个 JSP 页面（操作页面）上获取这些输入的详细信息，以进行验证和其他目的。
    在这里阅读全文»[使用示例请求隐式对象](https://beginnersbook.com/2013/11/jsp-implicit-object-request-with-examples/ "Request")。
3.  **响应**：它主要用于修改或延迟处理请求后发送给客户端（浏览器）的响应。
    在这里阅读全文»[回复隐含对象与示例](https://beginnersbook.com/2013/11/jsp-implicit-object-response-with-examples/ "Response")。
4.  **会话：**它是最常用的隐式对象，用于存储用户的数据，使其在其他 JSP 页面上可用，直到用户会话处于活动状态。
    阅读全文»会话隐含对象与示例。
5.  **应用：**这用于获取应用范围的初始化参数并在整个 JSP 应用中维护有用的数据。
    在这里阅读全文»[应用隐含对象的例子](https://beginnersbook.com/2013/11/jsp-implicit-object-application-with-examples/ "Application")。
6.  **异常：**异常隐式对象用于异常处理以显示错误消息。此对象仅适用于将 isErrorPage 设置为 true 的 JSP 页面。
    在这里阅读全文»[异常隐含对象与示例](https://beginnersbook.com/2013/11/jsp-implicit-object-exception-with-examples/ "Exception")。
7.  **页面：**页面隐式对象是对当前 Servlet 实例的引用（转换后的 Servlet，在 JSP 页面的转换阶段生成）。我们可以简单地使用**来代替它**。我没有详细介绍它，因为它很少使用，而且在构建 JSP 应用时不是一个有用的隐式对象。
8.  **pageContext** ：用于访问页面，请求，应用和会话属性。
    在这里阅读全文» [pageContext 隐含对象与示例](https://beginnersbook.com/2013/11/jsp-implicit-object-pagecontext-with-examples/ "PageContext")。
9.  **配置：**这是一个 Servlet 配置对象，主要用于访问获取配置信息，如 servlet 上下文，servlet 名称，配置参数等。
    阅读全文»[用示例配置隐式对象](https://beginnersbook.com/2013/11/jsp-implicit-object-config-with-examples/ "Config")。